Synchronizes changes to the file (including meta-data)

- « fstat

- ftell »

- PHP Manual
- Filesystem Functions
- Synchronizes changes to the file (including meta-data)

# fsync

(PHP 8 >= 8.1.0)

fsync — Synchronizes changes to the file (including meta-data)

### Description

fsync(resource `$stream`): bool

This function synchronizes changes to the file, including its meta-data. This is similar to fflush(), but it also instructs the operating system to write to the storage media.

### Parameters

`stream`

  The file pointer must be valid, and must point to a file successfully opened by fopen() or fsockopen() (and not yet closed by fclose()).

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 fsync() example

    <?php

    $file = 'test.txt';

    $stream = fopen($file, 'w');
    fwrite($stream, 'test data');
    fwrite($stream, "\r\n");
    fwrite($stream, 'additional data');

    fsync($stream);
    fclose($stream);
    ?>

### See Also

- fdatasync() - Synchronizes data (but not meta-data) to the file
- fflush() - Flushes the output to a file